/* act.h */

#ifndef ACT_H
#define ACT_H

enum ntype_t
{
   NTYPE_IDEN = 'I',
   NTYPE_EQ   = '=',
   NTYPE_OR   = '|',
   NTYPE_AND  = '&',
   NTYPE_NOT  = '~'
};

enum att_t
{ 
  OPR_UNITARY = 'U',
  OPR_BINARY ='B' 
};

typedef struct node_t 
{
    struct node_t *left;
    struct node_t *right;
    char   *name;
    int    type;
    int    id;
    int    op_ary;
}NODE;

typedef struct
{
    NODE  **stack; 
    int   index;
    int   limit;
} STACK;   


void set_node_left  (NODE *n, NODE *l);
void set_node_right (NODE *n, NODE *r);

#endif
